RoutesProducts module
Products routes
URLs the Products module answers, their parameters and the variables each view receives.
Templates view
/products/category/{slug}
listCategoryProducts
Show a single record
Path parameters
slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$
| Variable | Type | Description |
|---|---|---|
$categoryDescription |
CategoryDescription |
Single CategoryDescription record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/products/{page}
listProducts
Retrieve a list of records and assign them to the template.
Path parameters
page matches \d+
| Variable | Type | Description |
|---|---|---|
$products |
Collection<Product> |
Collection of Products |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/products/descriptions/{page}
listProductDescriptions
Retrieve a list of records and assign them to the template.
Path parameters
page matches \d+
| Variable | Type | Description |
|---|---|---|
$productDescriptions |
Collection<ProductDescription> |
Collection of ProductDescriptions |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/products/descriptions/tags/{tags}/{page}
listTagsProductDescriptions
Retrieve a list of records and assign them to the template.
Path parameters
tags matches ^[\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*([+&,|][\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*)*$page matches \d+
| Variable | Type | Description |
|---|---|---|
$productDescriptions |
Collection<ProductDescription> |
Collection of ProductDescriptions |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/products/{fullSlug}
showProduct
Show a single record
Path parameters
fullSlug matches .+
| Variable | Type | Description |
|---|---|---|
$productDescription |
ProductDescription |
Single ProductDescription record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.